# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'gui_design.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.setWindowModality(QtCore.Qt.NonModal)
        Dialog.resize(1300, 750)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(Dialog.sizePolicy().hasHeightForWidth())
        Dialog.setSizePolicy(sizePolicy)
        Dialog.setMinimumSize(QtCore.QSize(1300, 750))
        Dialog.setContextMenuPolicy(QtCore.Qt.DefaultContextMenu)
        Dialog.setAutoFillBackground(True)
        Dialog.setSizeGripEnabled(False)
        Dialog.setModal(False)
        self.gridLayout = QtWidgets.QGridLayout(Dialog)
        self.gridLayout.setObjectName("gridLayout")
        self.frame = QtWidgets.QFrame(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame.sizePolicy().hasHeightForWidth())
        self.frame.setSizePolicy(sizePolicy)
        self.frame.setMinimumSize(QtCore.QSize(210, 745))
        self.frame.setMaximumSize(QtCore.QSize(220, 745))
        self.frame.setAutoFillBackground(False)
        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame.setLineWidth(1)
        self.frame.setMidLineWidth(0)
        self.frame.setObjectName("frame")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.frame)
        self.gridLayout_4.setContentsMargins(9, -1, -1, -1)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.measBox = QtWidgets.QGroupBox(self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.measBox.sizePolicy().hasHeightForWidth())
        self.measBox.setSizePolicy(sizePolicy)
        self.measBox.setMinimumSize(QtCore.QSize(200, 580))
        self.measBox.setMaximumSize(QtCore.QSize(16777215, 580))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.measBox.setFont(font)
        self.measBox.setObjectName("measBox")
        self.startwl_text = QtWidgets.QLabel(self.measBox)
        self.startwl_text.setGeometry(QtCore.QRect(10, 30, 181, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.startwl_text.sizePolicy().hasHeightForWidth())
        self.startwl_text.setSizePolicy(sizePolicy)
        self.startwl_text.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.startwl_text.setFont(font)
        self.startwl_text.setObjectName("startwl_text")
        self.startwl_val = QtWidgets.QLineEdit(self.measBox)
        self.startwl_val.setGeometry(QtCore.QRect(10, 60, 171, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.startwl_val.sizePolicy().hasHeightForWidth())
        self.startwl_val.setSizePolicy(sizePolicy)
        self.startwl_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.startwl_val.setInputMethodHints(QtCore.Qt.ImhDigitsOnly)
        self.startwl_val.setText("")
        self.startwl_val.setObjectName("startwl_val")
        self.stopwl_text = QtWidgets.QLabel(self.measBox)
        self.stopwl_text.setGeometry(QtCore.QRect(10, 95, 171, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stopwl_text.sizePolicy().hasHeightForWidth())
        self.stopwl_text.setSizePolicy(sizePolicy)
        self.stopwl_text.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.stopwl_text.setFont(font)
        self.stopwl_text.setObjectName("stopwl_text")
        self.stopwl_val = QtWidgets.QLineEdit(self.measBox)
        self.stopwl_val.setGeometry(QtCore.QRect(10, 125, 171, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stopwl_val.sizePolicy().hasHeightForWidth())
        self.stopwl_val.setSizePolicy(sizePolicy)
        self.stopwl_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.stopwl_val.setInputMethodHints(QtCore.Qt.ImhFormattedNumbersOnly|QtCore.Qt.ImhPreferNumbers)
        self.stopwl_val.setText("")
        self.stopwl_val.setObjectName("stopwl_val")
        self.meas_speed_text = QtWidgets.QLabel(self.measBox)
        self.meas_speed_text.setGeometry(QtCore.QRect(10, 170, 151, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_speed_text.sizePolicy().hasHeightForWidth())
        self.meas_speed_text.setSizePolicy(sizePolicy)
        self.meas_speed_text.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.meas_speed_text.setFont(font)
        self.meas_speed_text.setObjectName("meas_speed_text")
        self.meas_speed_val = QtWidgets.QLineEdit(self.measBox)
        self.meas_speed_val.setGeometry(QtCore.QRect(10, 200, 171, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_speed_val.sizePolicy().hasHeightForWidth())
        self.meas_speed_val.setSizePolicy(sizePolicy)
        self.meas_speed_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.meas_speed_val.setInputMethodHints(QtCore.Qt.ImhFormattedNumbersOnly)
        self.meas_speed_val.setText("")
        self.meas_speed_val.setObjectName("meas_speed_val")
        self.meas_res_text = QtWidgets.QLabel(self.measBox)
        self.meas_res_text.setGeometry(QtCore.QRect(10, 280, 161, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_res_text.sizePolicy().hasHeightForWidth())
        self.meas_res_text.setSizePolicy(sizePolicy)
        self.meas_res_text.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.meas_res_text.setFont(font)
        self.meas_res_text.setObjectName("meas_res_text")
        self.meas_res_val = QtWidgets.QLineEdit(self.measBox)
        self.meas_res_val.setGeometry(QtCore.QRect(10, 310, 161, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_res_val.sizePolicy().hasHeightForWidth())
        self.meas_res_val.setSizePolicy(sizePolicy)
        self.meas_res_val.setMinimumSize(QtCore.QSize(0, 5))
        self.meas_res_val.setMaximumSize(QtCore.QSize(16777215, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setKerning(True)
        self.meas_res_val.setFont(font)
        self.meas_res_val.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.meas_res_val.setStyleSheet("background-color: rgb(217, 217, 217);\n"
"border:none;")
        self.meas_res_val.setInputMethodHints(QtCore.Qt.ImhFormattedNumbersOnly)
        self.meas_res_val.setText("")
        self.meas_res_val.setReadOnly(True)
        self.meas_res_val.setObjectName("meas_res_val")
        self.meas_dur_text = QtWidgets.QLabel(self.measBox)
        self.meas_dur_text.setGeometry(QtCore.QRect(10, 360, 181, 50))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_dur_text.sizePolicy().hasHeightForWidth())
        self.meas_dur_text.setSizePolicy(sizePolicy)
        self.meas_dur_text.setMaximumSize(QtCore.QSize(16777215, 50))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.meas_dur_text.setFont(font)
        self.meas_dur_text.setObjectName("meas_dur_text")
        self.meas_dur_val = QtWidgets.QLineEdit(self.measBox)
        self.meas_dur_val.setEnabled(True)
        self.meas_dur_val.setGeometry(QtCore.QRect(10, 410, 161, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_dur_val.sizePolicy().hasHeightForWidth())
        self.meas_dur_val.setSizePolicy(sizePolicy)
        self.meas_dur_val.setMaximumSize(QtCore.QSize(16777215, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setBold(False)
        font.setWeight(50)
        self.meas_dur_val.setFont(font)
        self.meas_dur_val.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.meas_dur_val.setMouseTracking(False)
        self.meas_dur_val.setAcceptDrops(True)
        self.meas_dur_val.setAutoFillBackground(False)
        self.meas_dur_val.setStyleSheet("background-color: rgb(217, 217, 217);\n"
"border:none;")
        self.meas_dur_val.setInputMethodHints(QtCore.Qt.ImhNone)
        self.meas_dur_val.setText("")
        self.meas_dur_val.setFrame(True)
        self.meas_dur_val.setReadOnly(True)
        self.meas_dur_val.setObjectName("meas_dur_val")
        self.start_butt = QtWidgets.QPushButton(self.measBox)
        self.start_butt.setEnabled(True)
        self.start_butt.setGeometry(QtCore.QRect(10, 470, 81, 40))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.start_butt.sizePolicy().hasHeightForWidth())
        self.start_butt.setSizePolicy(sizePolicy)
        self.start_butt.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(15)
        font.setBold(True)
        font.setWeight(75)
        self.start_butt.setFont(font)
        self.start_butt.setAutoFillBackground(False)
        self.start_butt.setStyleSheet("background-color: rgb(194, 255, 199);\n"
"border:none;")
        self.start_butt.setAutoDefault(False)
        self.start_butt.setFlat(False)
        self.start_butt.setObjectName("start_butt")
        self.stop_butt = QtWidgets.QPushButton(self.measBox)
        self.stop_butt.setGeometry(QtCore.QRect(110, 470, 61, 40))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stop_butt.sizePolicy().hasHeightForWidth())
        self.stop_butt.setSizePolicy(sizePolicy)
        self.stop_butt.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(15)
        font.setBold(True)
        font.setWeight(75)
        self.stop_butt.setFont(font)
        self.stop_butt.setStyleSheet("background-color: rgb(255, 124, 124);\n"
"border:none;")
        self.stop_butt.setObjectName("stop_butt")
        self.save_butt = QtWidgets.QPushButton(self.measBox)
        self.save_butt.setGeometry(QtCore.QRect(10, 530, 185, 33))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.save_butt.sizePolicy().hasHeightForWidth())
        self.save_butt.setSizePolicy(sizePolicy)
        self.save_butt.setMaximumSize(QtCore.QSize(16777215, 50))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.save_butt.setFont(font)
        self.save_butt.setStyleSheet("background-color: rgb(247, 255, 213);\n"
"border:none;")
        self.save_butt.setObjectName("save_butt")
        self.meas_speed_slider_val = QtWidgets.QSlider(self.measBox)
        self.meas_speed_slider_val.setGeometry(QtCore.QRect(10, 230, 171, 45))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meas_speed_slider_val.sizePolicy().hasHeightForWidth())
        self.meas_speed_slider_val.setSizePolicy(sizePolicy)
        self.meas_speed_slider_val.setMinimumSize(QtCore.QSize(0, 40))
        self.meas_speed_slider_val.setMaximumSize(QtCore.QSize(16777215, 45))
        self.meas_speed_slider_val.setMinimum(0)
        self.meas_speed_slider_val.setMaximum(1000)
        self.meas_speed_slider_val.setPageStep(1)
        self.meas_speed_slider_val.setProperty("value", 1)
        self.meas_speed_slider_val.setOrientation(QtCore.Qt.Horizontal)
        self.meas_speed_slider_val.setObjectName("meas_speed_slider_val")
        self.gridLayout_4.addWidget(self.measBox, 0, 0, 1, 1)
        self.statusBox = QtWidgets.QGroupBox(self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.statusBox.sizePolicy().hasHeightForWidth())
        self.statusBox.setSizePolicy(sizePolicy)
        self.statusBox.setMinimumSize(QtCore.QSize(200, 100))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.statusBox.setFont(font)
        self.statusBox.setObjectName("statusBox")
        self.status_text = QtWidgets.QLabel(self.statusBox)
        self.status_text.setGeometry(QtCore.QRect(10, 30, 185, 40))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.status_text.sizePolicy().hasHeightForWidth())
        self.status_text.setSizePolicy(sizePolicy)
        self.status_text.setMinimumSize(QtCore.QSize(0, 40))
        self.status_text.setMaximumSize(QtCore.QSize(16777215, 25))
        font = QtGui.QFont()
        font.setPointSize(10)
        self.status_text.setFont(font)
        self.status_text.setStyleSheet("")
        self.status_text.setText("")
        self.status_text.setScaledContents(True)
        self.status_text.setWordWrap(True)
        self.status_text.setObjectName("status_text")
        self.error_text = QtWidgets.QLabel(self.statusBox)
        self.error_text.setGeometry(QtCore.QRect(10, 90, 185, 40))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.error_text.sizePolicy().hasHeightForWidth())
        self.error_text.setSizePolicy(sizePolicy)
        self.error_text.setMinimumSize(QtCore.QSize(0, 40))
        self.error_text.setMaximumSize(QtCore.QSize(16777215, 25))
        font = QtGui.QFont()
        font.setPointSize(10)
        self.error_text.setFont(font)
        self.error_text.setStyleSheet("")
        self.error_text.setText("")
        self.error_text.setScaledContents(True)
        self.error_text.setWordWrap(True)
        self.error_text.setObjectName("error_text")
        self.gridLayout_4.addWidget(self.statusBox, 1, 0, 1, 1)
        self.gridLayout.addWidget(self.frame, 1, 2, 1, 1)
        self.frame_2 = QtWidgets.QFrame(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame_2.sizePolicy().hasHeightForWidth())
        self.frame_2.setSizePolicy(sizePolicy)
        self.frame_2.setMinimumSize(QtCore.QSize(230, 745))
        self.frame_2.setMaximumSize(QtCore.QSize(230, 745))
        self.frame_2.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.frame_2.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_2.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_2.setLineWidth(1)
        self.frame_2.setObjectName("frame_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.frame_2)
        self.gridLayout_2.setContentsMargins(7, 9, -1, -1)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.signalsBox = QtWidgets.QGroupBox(self.frame_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.signalsBox.sizePolicy().hasHeightForWidth())
        self.signalsBox.setSizePolicy(sizePolicy)
        self.signalsBox.setMinimumSize(QtCore.QSize(210, 200))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.signalsBox.setFont(font)
        self.signalsBox.setObjectName("signalsBox")
        self.curwl_text = QtWidgets.QLabel(self.signalsBox)
        self.curwl_text.setGeometry(QtCore.QRect(10, 30, 181, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.curwl_text.sizePolicy().hasHeightForWidth())
        self.curwl_text.setSizePolicy(sizePolicy)
        self.curwl_text.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.curwl_text.setFont(font)
        self.curwl_text.setObjectName("curwl_text")
        self.currwl_val = QtWidgets.QLineEdit(self.signalsBox)
        self.currwl_val.setGeometry(QtCore.QRect(10, 60, 175, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.currwl_val.sizePolicy().hasHeightForWidth())
        self.currwl_val.setSizePolicy(sizePolicy)
        self.currwl_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.currwl_val.setStyleSheet("background-color: rgb(217, 217, 217);\n"
"border:none;")
        self.currwl_val.setInputMethodHints(QtCore.Qt.ImhDigitsOnly)
        self.currwl_val.setText("")
        self.currwl_val.setObjectName("currwl_val")
        self.sig_volt_text = QtWidgets.QLabel(self.signalsBox)
        self.sig_volt_text.setGeometry(QtCore.QRect(10, 100, 151, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sig_volt_text.sizePolicy().hasHeightForWidth())
        self.sig_volt_text.setSizePolicy(sizePolicy)
        self.sig_volt_text.setMaximumSize(QtCore.QSize(16777215, 40))
        font = QtGui.QFont()
        font.setPointSize(12)
        self.sig_volt_text.setFont(font)
        self.sig_volt_text.setObjectName("sig_volt_text")
        self.sig_volt_val = QtWidgets.QLineEdit(self.signalsBox)
        self.sig_volt_val.setGeometry(QtCore.QRect(10, 130, 175, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sig_volt_val.sizePolicy().hasHeightForWidth())
        self.sig_volt_val.setSizePolicy(sizePolicy)
        self.sig_volt_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.sig_volt_val.setStyleSheet("background-color: rgb(217, 217, 217);\n"
"border:none;")
        self.sig_volt_val.setInputMethodHints(QtCore.Qt.ImhDigitsOnly)
        self.sig_volt_val.setText("")
        self.sig_volt_val.setReadOnly(True)
        self.sig_volt_val.setObjectName("sig_volt_val")
        self.sig_volt_slider = QtWidgets.QProgressBar(self.signalsBox)
        self.sig_volt_slider.setGeometry(QtCore.QRect(10, 160, 175, 30))
        self.sig_volt_slider.setProperty("value", 24)
        self.sig_volt_slider.setTextVisible(False)
        self.sig_volt_slider.setObjectName("sig_volt_slider")
        self.gridLayout_2.addWidget(self.signalsBox, 3, 0, 1, 1)
        self.setupBox = QtWidgets.QGroupBox(self.frame_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.setupBox.sizePolicy().hasHeightForWidth())
        self.setupBox.setSizePolicy(sizePolicy)
        self.setupBox.setMinimumSize(QtCore.QSize(210, 250))
        self.setupBox.setMaximumSize(QtCore.QSize(16777215, 16777215))
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setKerning(True)
        self.setupBox.setFont(font)
        self.setupBox.setObjectName("setupBox")
        self.pmt_box_val = QtWidgets.QSpinBox(self.setupBox)
        self.pmt_box_val.setGeometry(QtCore.QRect(10, 70, 100, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pmt_box_val.sizePolicy().hasHeightForWidth())
        self.pmt_box_val.setSizePolicy(sizePolicy)
        self.pmt_box_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.pmt_box_val.setButtonSymbols(QtWidgets.QAbstractSpinBox.UpDownArrows)
        self.pmt_box_val.setAccelerated(False)
        self.pmt_box_val.setMaximum(65535)
        self.pmt_box_val.setObjectName("pmt_box_val")
        self.pmt_text = QtWidgets.QLabel(self.setupBox)
        self.pmt_text.setGeometry(QtCore.QRect(10, 40, 175, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pmt_text.sizePolicy().hasHeightForWidth())
        self.pmt_text.setSizePolicy(sizePolicy)
        self.pmt_text.setMaximumSize(QtCore.QSize(16777215, 40))
        self.pmt_text.setObjectName("pmt_text")
        self.pmt_slider_val = QtWidgets.QSlider(self.setupBox)
        self.pmt_slider_val.setGeometry(QtCore.QRect(10, 100, 175, 45))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pmt_slider_val.sizePolicy().hasHeightForWidth())
        self.pmt_slider_val.setSizePolicy(sizePolicy)
        self.pmt_slider_val.setMinimumSize(QtCore.QSize(175, 45))
        self.pmt_slider_val.setMaximumSize(QtCore.QSize(200, 45))
        self.pmt_slider_val.setMaximum(65535)
        self.pmt_slider_val.setOrientation(QtCore.Qt.Horizontal)
        self.pmt_slider_val.setObjectName("pmt_slider_val")
        self.filter_box = QtWidgets.QComboBox(self.setupBox)
        self.filter_box.setGeometry(QtCore.QRect(75, 145, 71, 24))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filter_box.sizePolicy().hasHeightForWidth())
        self.filter_box.setSizePolicy(sizePolicy)
        self.filter_box.setMinimumSize(QtCore.QSize(50, 0))
        self.filter_box.setObjectName("filter_box")
        self.filter_box.addItem("")
        self.filter_box.addItem("")
        self.filter_box.addItem("")
        self.filter_text = QtWidgets.QLabel(self.setupBox)
        self.filter_text.setGeometry(QtCore.QRect(10, 140, 51, 40))
        self.filter_text.setObjectName("filter_text")
        self.sig_amp_box = QtWidgets.QComboBox(self.setupBox)
        self.sig_amp_box.setGeometry(QtCore.QRect(80, 205, 71, 24))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sig_amp_box.sizePolicy().hasHeightForWidth())
        self.sig_amp_box.setSizePolicy(sizePolicy)
        self.sig_amp_box.setMinimumSize(QtCore.QSize(65, 0))
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setKerning(True)
        self.sig_amp_box.setFont(font)
        self.sig_amp_box.setObjectName("sig_amp_box")
        self.sig_amp_box.addItem("")
        self.sig_amp_box.addItem("")
        self.sig_amp_box.addItem("")
        self.sig_amp_box.addItem("")
        self.sig_amp_box.addItem("")
        self.sig_amp_txt = QtWidgets.QLabel(self.setupBox)
        self.sig_amp_txt.setGeometry(QtCore.QRect(5, 200, 110, 35))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sig_amp_txt.sizePolicy().hasHeightForWidth())
        self.sig_amp_txt.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setKerning(True)
        self.sig_amp_txt.setFont(font)
        self.sig_amp_txt.setObjectName("sig_amp_txt")
        self.sig_amp_val = QtWidgets.QLabel(self.setupBox)
        self.sig_amp_val.setGeometry(QtCore.QRect(160, 205, 51, 24))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sig_amp_val.sizePolicy().hasHeightForWidth())
        self.sig_amp_val.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(11)
        font.setKerning(True)
        self.sig_amp_val.setFont(font)
        self.sig_amp_val.setObjectName("sig_amp_val")
        self.filter_val = QtWidgets.QLabel(self.setupBox)
        self.filter_val.setGeometry(QtCore.QRect(150, 145, 61, 24))
        self.filter_val.setText("")
        self.filter_val.setObjectName("filter_val")
        self.label_2 = QtWidgets.QLabel(self.setupBox)
        self.label_2.setGeometry(QtCore.QRect(117, 70, 51, 21))
        self.label_2.setObjectName("label_2")
        self.gridLayout_2.addWidget(self.setupBox, 4, 0, 1, 1)
        self.SettingsBox = QtWidgets.QGroupBox(self.frame_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.SettingsBox.sizePolicy().hasHeightForWidth())
        self.SettingsBox.setSizePolicy(sizePolicy)
        self.SettingsBox.setMinimumSize(QtCore.QSize(210, 265))
        self.SettingsBox.setMaximumSize(QtCore.QSize(16777215, 16777215))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.SettingsBox.setFont(font)
        self.SettingsBox.setObjectName("SettingsBox")
        self.gowl_text = QtWidgets.QLabel(self.SettingsBox)
        self.gowl_text.setGeometry(QtCore.QRect(10, 30, 200, 34))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.gowl_text.sizePolicy().hasHeightForWidth())
        self.gowl_text.setSizePolicy(sizePolicy)
        self.gowl_text.setMaximumSize(QtCore.QSize(16777215, 40))
        self.gowl_text.setObjectName("gowl_text")
        self.gowl_val = QtWidgets.QLineEdit(self.SettingsBox)
        self.gowl_val.setGeometry(QtCore.QRect(10, 60, 111, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.gowl_val.sizePolicy().hasHeightForWidth())
        self.gowl_val.setSizePolicy(sizePolicy)
        self.gowl_val.setMaximumSize(QtCore.QSize(16777215, 30))
        self.gowl_val.setInputMethodHints(QtCore.Qt.ImhDigitsOnly)
        self.gowl_val.setText("")
        self.gowl_val.setObjectName("gowl_val")
        self.gotowl_butt = QtWidgets.QPushButton(self.SettingsBox)
        self.gotowl_butt.setGeometry(QtCore.QRect(130, 60, 60, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.gotowl_butt.sizePolicy().hasHeightForWidth())
        self.gotowl_butt.setSizePolicy(sizePolicy)
        self.gotowl_butt.setMaximumSize(QtCore.QSize(16777215, 30))
        self.gotowl_butt.setObjectName("gotowl_butt")
        self.cursors_butt = QtWidgets.QPushButton(self.SettingsBox)
        self.cursors_butt.setGeometry(QtCore.QRect(10, 220, 190, 35))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cursors_butt.sizePolicy().hasHeightForWidth())
        self.cursors_butt.setSizePolicy(sizePolicy)
        self.cursors_butt.setMaximumSize(QtCore.QSize(16777215, 35))
        font = QtGui.QFont()
        font.setPointSize(10)
        self.cursors_butt.setFont(font)
        self.cursors_butt.setObjectName("cursors_butt")
        self.new_wl_butt = QtWidgets.QPushButton(self.SettingsBox)
        self.new_wl_butt.setGeometry(QtCore.QRect(10, 170, 190, 35))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.new_wl_butt.sizePolicy().hasHeightForWidth())
        self.new_wl_butt.setSizePolicy(sizePolicy)
        self.new_wl_butt.setMaximumSize(QtCore.QSize(16777215, 50))
        self.new_wl_butt.setObjectName("new_wl_butt")
        self.wl_unit_text = QtWidgets.QLabel(self.SettingsBox)
        self.wl_unit_text.setGeometry(QtCore.QRect(10, 120, 41, 32))
        self.wl_unit_text.setObjectName("wl_unit_text")
        self.wl_unit_box = QtWidgets.QComboBox(self.SettingsBox)
        self.wl_unit_box.setGeometry(QtCore.QRect(45, 120, 151, 32))
        self.wl_unit_box.setObjectName("wl_unit_box")
        self.wl_unit_box.addItem("")
        self.wl_unit_box.addItem("")
        self.gridLayout_2.addWidget(self.SettingsBox, 6, 0, 1, 1)
        self.gridLayout.addWidget(self.frame_2, 1, 4, 1, 1)
        self.graphicsView = PlotWidget(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.graphicsView.sizePolicy().hasHeightForWidth())
        self.graphicsView.setSizePolicy(sizePolicy)
        self.graphicsView.setMinimumSize(QtCore.QSize(600, 600))
        self.graphicsView.setMouseTracking(True)
        self.graphicsView.setFocusPolicy(QtCore.Qt.NoFocus)
        self.graphicsView.setAcceptDrops(False)
        self.graphicsView.setAutoFillBackground(True)
        self.graphicsView.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.graphicsView.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustToContents)
        self.graphicsView.setObjectName("graphicsView")
        self.gridLayout.addWidget(self.graphicsView, 1, 5, 2, 1)

        self.retranslateUi(Dialog)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Spectroscopy"))
        self.measBox.setTitle(_translate("Dialog", "New Scan"))
        self.startwl_text.setText(_translate("Dialog", "Wavelength start (nm)"))
        self.stopwl_text.setText(_translate("Dialog", "Wavelength stop (nm)"))
        self.meas_speed_text.setText(_translate("Dialog", "Speed (nm/s)"))
        self.meas_res_text.setText(_translate("Dialog", "Resolution (nm)"))
        self.meas_dur_text.setText(_translate("Dialog", "Measurement duration\n"
" (hh:mm:ss)"))
        self.start_butt.setText(_translate("Dialog", "Start"))
        self.stop_butt.setText(_translate("Dialog", "Stop"))
        self.save_butt.setText(_translate("Dialog", "Save Data and Image"))
        self.statusBox.setTitle(_translate("Dialog", "STATUS:"))
        self.signalsBox.setTitle(_translate("Dialog", "Signals"))
        self.curwl_text.setText(_translate("Dialog", "Actual wavelength (nm)"))
        self.sig_volt_text.setText(_translate("Dialog", "Signal voltage (V)"))
        self.setupBox.setTitle(_translate("Dialog", "Setup"))
        self.pmt_text.setText(_translate("Dialog", "Photomultiplier Supply"))
        self.filter_box.setItemText(0, _translate("Dialog", "OFF"))
        self.filter_box.setItemText(1, _translate("Dialog", "FAST"))
        self.filter_box.setItemText(2, _translate("Dialog", "SLOW"))
        self.filter_text.setText(_translate("Dialog", "Signal \n"
" Filter"))
        self.sig_amp_box.setItemText(0, _translate("Dialog", "AUTO"))
        self.sig_amp_box.setItemText(1, _translate("Dialog", "1x"))
        self.sig_amp_box.setItemText(2, _translate("Dialog", "16x"))
        self.sig_amp_box.setItemText(3, _translate("Dialog", "32x"))
        self.sig_amp_box.setItemText(4, _translate("Dialog", "64x"))
        self.sig_amp_txt.setText(_translate("Dialog", "Amplifier \n"
"  Gain"))
        self.sig_amp_val.setText(_translate("Dialog", "[1x]"))
        self.label_2.setText(_translate("Dialog", "V"))
        self.SettingsBox.setTitle(_translate("Dialog", "Settings"))
        self.gowl_text.setText(_translate("Dialog", "Go to wavelength (nm)"))
        self.gotowl_butt.setText(_translate("Dialog", "Go"))
        self.cursors_butt.setText(_translate("Dialog", "Put cursors in Max and Min"))
        self.new_wl_butt.setText(_translate("Dialog", "Set new wavelength"))
        self.wl_unit_text.setText(_translate("Dialog", "Unit"))
        self.wl_unit_box.setItemText(0, _translate("Dialog", "Ångström (Å)"))
        self.wl_unit_box.setItemText(1, _translate("Dialog", "Nanometer (nm)"))
from pyqtgraph import PlotWidget


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    Dialog = QtWidgets.QDialog()
    ui = Ui_Dialog()
    ui.setupUi(Dialog)
    Dialog.show()
    sys.exit(app.exec_())
